Bug 874367 - Editor should warn before saving a Fuzzy translation as Approved from a keyboard shortcut
Editor should warn before saving a Fuzzy translation as Approved from a keybo...
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.1
Assigned To: Alex Eng
Ding-Yi Chen
Depends On:
  Show dependency treegraph
Reported: 2012-11-07 21:47 EST by Sean Flanigan
Modified: 2013-02-25 23:06 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.1-SNAPSHOT (20121129-1444)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-25 23:06:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2012-11-07 21:47:48 EST
Description of problem:

It appears that a number of translators have accidentally saved Fuzzy translations as Approved, without changing any text.  Occasionally this may be desirable, especially when we implement a proper approval feature, but in these cases it has led to marking incorrect translations as correct.

From what I can tell, these translators have been using Ctrl-Enter (Save as Approved and Move Down) as a way of navigating through documents, probably because the shortcut is easier to guess than Alt-K or Alt-Down (Move Down).

I think Zanata should generate a pop-up warning when Enter/Ctrl-Enter is used on a Fuzzy translation which has no text changes.  (And only in that case.  Not when some text has changed, and possibly not for the Save as Approved button.)  

This warning should suggest Alt-K or Alt-Down as safer alternatives for navigation, and it should have an option to ignore it for the rest of the session (until we implement persistent user options).

1. Yes, I want to save this Fuzzy translation as Approved.
2. Yes, yes, I know Ctrl-Enter is Save as Approved, Alt-K is Move Down.  Don't ask me again!
3. No, I didn't mean to save this Fuzzy translation as Approved.  Cancel!
Comment 2 Ding-Yi Chen 2012-11-29 23:33:58 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20121129-1444)

Note You need to log in before you can comment on or make changes to this bug.